PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
PSTUNAttribute Struct Reference

`#include <pstun.h>`

Inheritance diagram for PSTUNAttribute:
[legend]

## Public Types
enum | Types { MAPPED_ADDRESS = 0x0001, RESPONSE_ADDRESS = 0x0002, CHANGE_REQUEST = 0x0003, SOURCE_ADDRESS = 0x0004, CHANGED_ADDRESS = 0x0005, USERNAME = 0x0006, PASSWORD = 0x0007, MESSAGE_INTEGRITY = 0x0008, ERROR_CODE = 0x0009, UNKNOWN_ATTRIBUTES = 0x000a, REFLECTED_FROM = 0x000b, CHANNEL_NUMBER = 0x000C, LIFETIME = 0x000D, XOR_PEER_ADDRESS = 0x0012, DATA = 0x0013, REALM = 0x0014, NONCE = 0x0015, XOR_RELAYED_ADDRESS = 0x0016, EVEN_PORT = 0x0018, REQUESTED_TRANSPORT = 0x0019, DONT_FRAGMENT = 0x001A, XOR_MAPPED_ADDRESS = 0x0020, RESERVATION_TOKEN = 0x0022, PADDING = 0x0026, RESPONSE_PORT = 0x0027, ALTERNATE_SERVER = 0x8023, RESPONSE_ORIGIN = 0x802b, OTHER_ADDRESS = 0x802c }

## Public Member Functions
PSTUNAttribute * | GetNext () const

## Public Attributes
PUInt16b | type
PUInt16b | length

## Member Enumeration Documentation

enum PSTUNAttribute::Types

Enumerator
MAPPED_ADDRESS |
RESPONSE_ADDRESS |
CHANGE_REQUEST |
SOURCE_ADDRESS |
CHANGED_ADDRESS |
USERNAME |
PASSWORD |
MESSAGE_INTEGRITY |
ERROR_CODE |
UNKNOWN_ATTRIBUTES |
REFLECTED_FROM |
CHANNEL_NUMBER |
LIFETIME |
XOR_PEER_ADDRESS |
DATA |
REALM |
NONCE |
XOR_RELAYED_ADDRESS |
EVEN_PORT |
REQUESTED_TRANSPORT |
DONT_FRAGMENT |
XOR_MAPPED_ADDRESS |
RESERVATION_TOKEN |
PADDING |
RESPONSE_PORT |
ALTERNATE_SERVER |
RESPONSE_ORIGIN |
OTHER_ADDRESS |

## Member Function Documentation

PSTUNAttribute* PSTUNAttribute::GetNext | ( |  | ) | const

## Member Data Documentation

PUInt16b PSTUNAttribute::length

Referenced by PSTUNStringAttribute::GetString(), PSTUNAddressAttribute::InitAddrAttr(), PSTUNChangeRequest::Initialise(), PSTUNMessageIntegrity::Initialise(), PSTUNStringAttribute::InitStringAttr(), PSTUNChangeRequest::IsValid(), PSTUNMessageIntegrity::IsValid(), PSTUNErrorCode::IsValid(), PTURNRequestedTransport::IsValid(), PTURNLifetime::IsValid(), PTURNEvenPort::IsValid(), PSTUNAddressAttribute::IsValidAddrAttr(), PSTUNStringAttribute::IsValidStringAttr(), PTURNEvenPort::PTURNEvenPort(), and PTURNLifetime::PTURNLifetime().

PUInt16b PSTUNAttribute::type

Referenced by PSTUNAddressAttribute::InitAddrAttr(), PSTUNChangeRequest::Initialise(), PSTUNMessageIntegrity::Initialise(), PSTUNStringAttribute::InitStringAttr(), PSTUNChangeRequest::IsValid(), PSTUNMessageIntegrity::IsValid(), PSTUNErrorCode::IsValid(), PTURNRequestedTransport::IsValid(), PTURNLifetime::IsValid(), PTURNEvenPort::IsValid(), PSTUNAddressAttribute::IsValidAddrAttr(), PSTUNStringAttribute::IsValidStringAttr(), PTURNEvenPort::PTURNEvenPort(), and PTURNLifetime::PTURNLifetime().

The documentation for this struct was generated from the following file:

- pstun.h